<?php
/*
Plugin Name: Statistics
Version: 1.7.1.b
Description: Add source code like Google Analytics on each page.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=174
Author: Ruben & Sakkhho
Author URI: http://www.phpwebgallery.net
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('STAT_DIR' , basename(dirname(__FILE__)));
define('STAT_PATH' , PHPWG_PLUGINS_PATH . STAT_DIR . '/');

function statistics_admin_menu($menu)
{
    array_push($menu, array('NAME' => 'Statistics',
      'URL' => get_admin_plugin_menu_link(STAT_PATH . 'admin/stat_admin.php')));
    return $menu;
}

function stat_candoit($type)
{
  global $conf, $user;

  $conf_statistics = explode("," , $conf['statistics']);

  $is_guest = (function_exists('is_a_guest') ? is_a_guest() : $user['is_the_guest']);

  if
  (
    (
      (($conf_statistics[0] == 'on') and ($type == 'header')) or 
      (($conf_statistics[1] == 'on') and ($type == 'tail'))
    ) and 
    (($conf_statistics[3] == 'on' and !is_admin()) or (empty($conf_statistics[3]))) and
    (($conf_statistics[4] == 'on' and !$is_guest) or (empty($conf_statistics[4])))
  )
  {
    return '
<!-- Plugin Statitics -->
'.$conf_statistics[2].'
<!-- Plugin Statitics -->';
  }
  else
  {
    return false;
  }
}

function stat_tail()
{
  global $template;

  if ($code_stat = stat_candoit('tail'))
  {
    $template->assign_block_vars('footer_element', array('CONTENT' => $code_stat));
  }
}

function stat_header()
{
  global $template;

  if ($code_stat = stat_candoit('header'))
  {
    $template->assign_block_vars('head_element', array('CONTENT' => $code_stat));
  }
}

add_event_handler('get_admin_plugin_menu_links', 'statistics_admin_menu');
add_event_handler('loc_end_page_tail', 'stat_tail');
add_event_handler('loc_end_page_header', 'stat_header');

?>